<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yami.shop.dao.CategoryProdMapper">
  <resultMap id="BaseResultMap" type="com.yami.shop.bean.model.CategoryProd">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="category_id" jdbcType="BIGINT" property="categoryId" />
    <result column="prop_id" jdbcType="BIGINT" property="propId" />
  </resultMap>


  <delete id="deleteByCategoryId">
  	delete from tz_category_prod where category_id = #{categoryId}
  </delete>

  <delete id="deleteByProdId">
  	delete from tz_category_prod where prod_id = #{prodId}
  </delete>
</mapper>
